﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinChart;

namespace RemoveWhiteSpaceFromUltraChart101081
{
    public partial class Form1 : Form
    {
        int n = 1;
        Random random;

        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraTilePanel1.TileSettings.HeaderPosition = Infragistics.Win.Misc.TileHeaderPosition.Hidden;

            GetData(ultraChart1);
            GetData(ultraChart2);
            GetData(ultraChart3);
            GetData(ultraChart4);
        }

        public void GetData(UltraChart chart)
        {
            DataTable dt = new DataTable();
            dt.Rows.Add();

            for (int i = 0; i < 100; i++)
            {
                dt.Columns.Add("", typeof(int));
            }
            
            foreach (DataColumn column in dt.Columns)
            {
                random = new Random(n);
                n++;
                dt.Rows[0].SetField<int>(column, random.Next(15));
            }

            chart.Axis.X.Extent = 0;
            chart.Axis.Y.Extent = 0;
            chart.DataSource = dt;
        }
    }
}
